# agecem/babillard

Application web pour 'digital signage'.

Backend: Go avec `labstack/echo/v4`

Frontend: html, css, jquery

## Utilisation

```sh
# Voir commandes make
make help

# Bâtir une container image (docker) localement
make build

# Exemple de déploiement
docker run -dt \
  -p '1312:1312' \
  -v 'babillard-contenu:/go/src/app/contenu' \
  agecem/babillard:latest
```

## Affichage d'images

Les images à afficher peuvent être déposées dans le répertoire `contenu`. Les types fichiers supportés sont `jpg`, `png`, `jpeg`, `gif`, mais les types ne sont pas enforcés.

Si l'image docker est utilisée, l'application cyclera à travers les fichiers dans `:/go/src/app/contenu`, et donc est mieux géré par volume.

## Affichage de messages (pas implémenté)

TODO
