package handlers

import (
	"net/http"

	"github.com/labstack/echo/v4"
)

func HandleAPIShow(c echo.Context) error {
	apispec := `agecem/babillard
API Specifications
-----
'/'                       | GET | Affiche l'application 'slider'
'/api'                    | GET | Affiche les spécifications API
'/api/contenu'            | GET | Affiche le nom des fichiers dans 'contenu/'
'/api/contenu/{filename}' | GET | Affiche le fichier 'contenu/{filename}'
-----`

	return c.String(http.StatusOK, apispec)
}
